Package com.complexible.stardog.virtual.api

# Class StardogMappingSyntaxParser

java.lang.Object
com.complexible.stardog.virtual.api.StardogMappingSyntaxParser

public class StardogMappingSyntaxParser extends Object
Parser for Stardog mappings syntax.

Since:
  3.1
Version:
  6.0
Author:
  Evren Sirin

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StardogMappingSyntaxParser()`
  `StardogMappingSyntaxParser(String theSep)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<Statement>`
  `parse(InputStream theInput, RDFFormat theFormat)`
  Parses the mappings from the given `InputStream`.
  `Pair<Namespaces,Set<Statement>>`
  `parse(Reader theInput, RDFFormat theFormat)`
  Parses the mappings from the given input `Reader`.
  `Pair<Namespaces,Set<Statement>>`
  `parse(String theInput, RDFFormat theFormat)`
  Parses the mappings from the given input `Reader`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StardogMappingSyntaxParser

    public StardogMappingSyntaxParser()

  - ### StardogMappingSyntaxParser

    public StardogMappingSyntaxParser(String theSep)

- ## Method Details

  - ### parse

    public Set<Statement> parse(InputStream theInput, RDFFormat theFormat) throws IOException
    Parses the mappings from the given `InputStream`.
    Parameters:
      `theInput` - the input stream
      `theFormat` - the format of the input stream, should be Turtle or TriG
    Returns:
      the RDF model containing mappings in R2RML syntax
    Throws:
      `IOException`

  - ### parse

    public Pair<Namespaces,Set<Statement>> parse(Reader theInput, RDFFormat theFormat) throws IOException
    Parses the mappings from the given input `Reader`.
    Parameters:
      `theInput` - the input Reader
      `theFormat` - the format of the input stream, should be Turtle or TriG
    Returns:
      a `Pair` containing the extracted `Namespaces` and the RDF model containing mappings in R2RML syntax
    Throws:
      `IOException`

  - ### parse

    public Pair<Namespaces,Set<Statement>> parse(String theInput, RDFFormat theFormat) throws IOException
    Parses the mappings from the given input `Reader`.
    Parameters:
      `theInput` - the input String
      `theFormat` - the format of the input stream, should be Turtle or TriG
    Returns:
      a `Pair` containing the extracted `Namespaces` and the RDF model containing mappings in R2RML syntax
    Throws:
      `IOException`